--- old/usr/src/head/limits.h	Wed Apr  3 09:33:12 2013
+++ new/usr/src/head/limits.h	Wed Apr  3 09:33:12 2013
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _LIMITS_H
 #define	_LIMITS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.34  */
-
 #include <sys/feature_tests.h>
 #include <sys/isa_defs.h>
 #include <iso/limits_iso.h>
@@ -291,6 +291,9 @@
 #endif /* CLK_TCK */
 
 #define	LOGNAME_MAX	8	/* max # of characters in a login name */
+#define	LOGNAME_MAX_ILLUMOS	32	/* max # of characters in an */
+					/* illumos login name */
+#define	LOGIN_NAME_MAX	(LOGNAME_MAX_ILLUMOS + 1)	/* max buffer size */
 #define	TTYNAME_MAX	128	/* max # of characters in a tty name */
 
 #endif	/* if defined(__EXTENSIONS__) || (!defined(_STRICT_STDC) ... */
